export default function MapLoader() {

	return new Promise((resolve, reject) => {
		 
		if (window.AMap) {
			resolve(window.AMap)
		} else {
//			console.log("map")
			var script = document.createElement('script')
			script.type = 'text/javascript'
			script.async = true
			script.src = 'https://webapi.amap.com/maps?v=1.4.15&callback=initAMap&key=09abadb2e35fc61fd84042c518e9aebf'
			script.onerror = reject
			document.head.appendChild(script)
		}
		window.initAMap = () => {
			resolve(window.AMap)
		}
	})
}
